Cascade
Orders

Batch Cancel Orders

Cancel a batch of orders

POST
/account/orders/cancel
account?string|null
clientIds?|null
orderIds?|null

Response Body

application/json

text/plain

text/plain

text/plain

curl -X POST "https://engine.cascade.cooking/account/orders/cancel" \  -H "Content-Type: application/json" \  -d '{}'
{
  "cancelled": [
    {
      "account": "string",
      "clientId": "string",
      "createdAt": 0,
      "expiresAt": 0,
      "flags": {
        "ioc": true,
        "postOnly": true,
        "reduceOnly": true,
        "selfTradeExpire": 0
      },
      "groupId": "string",
      "lastUpdateSequenceNumber": 0,
      "nonce": 0,
      "ocoGroupId": "string",
      "orderId": "string",
      "orderType": "unsupported",
      "originator": "string",
      "originatorFee": 0,
      "parentOrderId": "string",
      "period": 0,
      "price": "string",
      "quantity": "string",
      "reason": "string",
      "remaining": "string",
      "settled": "string",
      "status": "new",
      "subaccountIndex": 0,
      "symbol": "string",
      "trailingPercent": "string",
      "triggerPrice": "string",
      "updatedAt": 0
    }
  ],
  "failed": [
    {
      "clientId": "string",
      "orderId": "string",
      "reason": "string"
    }
  ]
}
"string"
"string"
"string"